--- title: "Get switchable role" slug: "management-subaccount-switchablerole-get" updated: 2026-09-17T10:05:32Z published: 2026-09-17T10:05:32Z canonical: "api.ncloud-docs.com/management-subaccount-switchablerole-get" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get switchable role Available in Classic and VPC Get the list of roles that can be switched from a sub account Calls can only be made from a sub account. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v1/switchable-roles | ### Request headers For information about the headers common to all Sub Account APIs, see [Sub Account request headers](/docs/en/management-subaccount#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `searchColumn` | String | Optional | Search column - `nrn` \| `roleDisplayName` - `nrn`: NAVER Cloud Platform resource identification value list for role - `roleDisplayName`: role name | | `searchWord` | String | Optional | Search keyword | ### Request example The request example is as follows: ``` curl --location --request GET 'https://subaccount.apigw.ntruss.com/api/v1/switchable-roles' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Accept: application/json' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `roleNo` | String | - | Role ID | | `roleNrn` | String | - | NAVER Cloud Platform resource identification value for role | | `displayName` | String | - | Role name | | `description` | String | - | Description of the role | | `isCurrentRole` | Boolean | - | Current usage status - `true` \| `false` - `true`: in use - `false`: not in use | ### Response status codes For information about the HTTP status codes common to all Sub Account APIs, see [Sub Account status codes](/docs/en/management-subaccount#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` [ { "roleNo": "9ba09190-****-****-****-246e966ebec4", "roleNrn": "nrn:PUB:IAM::5*****8:Role/9ba09190-****-****-****-246e966ebec4", "displayName": "Adm", "description": "admin", "isCurrentRole": false } ] ```